﻿@model MyApp.Web.ViewModels.UnregisteredIndexViewModel
@using OpenPlatform.General.Extensions;
@using MyApp.Web.ViewModels;

@{
    ViewBag.Title = @MyApp.Web.Resources.EVAResource.WebsiteTitle;
}

@Html.Partial("_NavSuperUser", MyApp.Web.Resources.EVAResource.unregisteredCodes)

@Html.ActionLink(MyApp.Web.Resources.EVAResource.addnewunreggroup, "AddEditUnregistered", null, new { @class = "btn btn-default btn-lg", role = "button" })

@if (Model.ListOfUnregistered == null || Model.ListOfUnregistered.Count == 0)
{
    @Html.Partial("_NoRecordsExist", null);
}
else
{
    <div class="table-responsive">
        <table class="table-striped">
            <tr class="tableheaderrow">
                <th>Name</th>
                <th>Total Claimed</th>
                <th>Action</th>
            </tr>
            <tbody>
                @foreach (UnregisteredListViewModel item in Model.ListOfUnregistered)
                {
                    <tr>
                        <td>
                            @item.Name.TrimforUI(25, true)
                        </td>
                        <td>
                            @item.UnregisteredCodesRequested/@item.TotalCodesAvailable
                        </td>

                        <td>
                            @Html.ActionLink(@MyApp.Web.Resources.EVAResource.edit, "AddEditUnregistered", new { encid = @item.EncryptedId }, new { @class = "btn btn-link", role = "button" })

                            @if (@item.CanAllocateMore)
                            {
                                @Html.ActionLink(@MyApp.Web.Resources.EVAResource.generateunregisteredcodes, "GenerateUnregisteredGroupCodes", new { encid = @item.EncryptedId }, new { @class = "btn btn-link", role = "button" })
                            }
                            @if (@item.CanDownloadPDF)
                            {
                                @Html.ActionLink(@MyApp.Web.Resources.EVAResource.getunregisteredpdf, "DownloadUnregisteredGroupPDF", new { encid = @item.EncryptedId }, new { @class = "btn btn-link", role = "button", })
                            }

                            @if (@item.CanDeleteUnregisteredGroup)
                            {
                            @Html.ActionLink(@MyApp.Web.Resources.EVAResource.delete, "DeleteUnregistered", new { encid = @item.EncryptedId }, new { @class = @item.DoesZoneHaveEngagements ? "btn btn-link" : "btn btn-link disabled", role = "button", title = @item.DoesZoneHaveEngagements ? @MyApp.Web.Resources.EVAResource.mustdeleteenagegementsfirst : "" })
                            }

                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
}